Subject: RE: bug#30491: 26.0; (elisp) `Profiling'

From: Drew Adams <[email-masked]>
Date: Sun, 18 Feb 2018 09:36:30 -0800 (PST)

> > I know I was looking for a way to "open" not just the entry
> > on the current line, but also a way to open either (1) all
> > entries or (2) all entries in the region.  I ended up using
> > a keyboard macro to do #1.

EZ> It's much easier to do "C-u RET" on the top line of the call-tree.
EZ> And the fact that prefix argument has this effect is documented.

NP> You can use the prefix argument to profiler-report-toggle-entry (C-u
NP> RET).  This is documented as of Emacs 25 (see [1: 272391f1d6] and
NP> Bug#13455).

Yes, I see that now.  I don't think it's very obvious, though.

For some reason, we've dedicated all of these keys to this
command: `mouse-1', `i', `TAB', `RET', and we've put it in
the menu-bar menu.  (Why so many keys?)

And yet we've dedicated no key to doing directly what `C-u i'
does.  Maybe that should be rethought?

At the very least, maybe that action should be added to the
menu-bar menu, so that users can more easily discover that
they can invoke it using `C-u i'.

(Ccing Michael H.)